*
* Visual FoxPro Declarations for SEE
*

#define SEE_MIN_RESPONSE_WAIT  1
#define SEE_MAX_RESPONSE_WAIT  2
#define SEE_CONNECT_WAIT       3
#define SEE_MIN_LINE_WAIT      5
#define SEE_MAX_LINE_WAIT      6
#define SEE_QUOTED_PRINTABLE   8
#define SEE_AUTO_CALL_DRIVER   9
#define SEE_LOG_FILE          20

#define SEE_GET_ERROR_TEXT     1
#define SEE_GET_COUNTER        2
#define SEE_GET_RESPONSE       3
#define SEE_GET_SOCK_ERROR     4
#define SEE_GET_MESSAGE_BYTES_READ  10
#define SEE_GET_ATTACH_BYTES_READ   11
#define SEE_GET_TOTAL_BYTES_READ    12
#define SEE_GET_MESSAGE_BYTES_SENT  13
#define SEE_GET_ATTACH_BYTES_SENT   14
#define SEE_GET_TOTAL_BYTES_SENT    15
#define SEE_GET_VERSION             16
#define SEE_GET_MSG_COUNT           17
#define SEE_GET_MSG_SIZE            18
#define SEE_GET_BUFFER_COUNT        19
#define SEE_GET_CONNECT_STATUS      20
#define SEE_GET_REGISTRATION        21
#define SEE_GET_ATTACH_COUNT        22
#define SEE_GET_LAST_RESPONSE       23

DECLARE INTEGER seeClose
   in SEE32.DLL
DECLARE INTEGER seeSmtpConnect
   in SEE32.DLL @STRING Server,@STRING From ,@STRING Reply
DECLARE INTEGER seeDebug
   in SEE32.DLL INTEGER Index, @STRING Buffer,INTEGER BufLen
DECLARE INTEGER seeDriver
   in SEE32.DLL
DECLARE INTEGER seeErrorText
   in SEE32.DLL INTEGER Code,@STRING Buffer,INTEGER BufLen
DECLARE INTEGER seeIntegerParam
   in SEE32.DLL INTEGER Param,INTEGER ParamValue
DECLARE INTEGER seeSendEmail
   in SEE32.DLL @STRING To,@STRING CC,@STRING BCC,@STRING Subj,@STRING Msg,@STRING Attach
DECLARE INTEGER seeStatistics
   in SEE32.DLL INTEGER Index
DECLARE INTEGER seeStringParam
   in SEE32.DLL INTEGER Param,@STRING Text 
DECLARE INTEGER seeVerifyFormat
   in SEE32.DLL @STRING Text
DECLARE INTEGER seeVerifyUser
   in SEE32.DLL @STRING Text
DECLARE INTEGER seeEncodeBuffer
   in SEE32.DLL @STRING Clear, @STRING Coded, INTEGER BufLen
DECLARE INTEGER seeDecodeBuffer
   in SEE32.DLL @STRING Coded, @STRING Clear, INTEGER BufLen
